Subject: bug#61849: 29.0.60; Unable to use treesit-install-language-grammar because repo doesn't have parser.c

From: Yuan Fu <[email-masked]>
Date: Fri, 3 Mar 2023 14:27:05 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Misha Zharov <[email-masked]>
>> Date: Mon, 27 Feb 2023 19:13:59 -0800
>> Cc: [email-masked]
>> 
>> Thanks for getting back to me
>> 
>> > (Btw, why not use https://github.com/DerekStride/tree-sitter-sql
>> > instead?)
>> 
>> I just landed on the other one first, no particular reason.  Initially it
>> worked until they removed the autogenerated code that was in
>> the repo.  As a workaround I can switch to the sql grammar that you
>> have recommended, but the problem might occur again in other
>> repos.
>> 
>> > I'm not sure we should incorporate in Emacs so much of this
>> > specialized stuff.
>> 
>> That's fair, but I fear that more repos will remove the autogenerated
>> parser code, which will make treesit-install-language-grammar
>> much less useful.
>
> If that starts to happen too much, we'll need to rethink this feature.
> It is supposed to be extremely reliable, and this should not rely on
> tools that might not be installed, because giving clueless users a
> tool that fails unless one "tinkers" is not a good idea, IMO.
>
> I'll leave this bug open for now.

Not sure why that project removed the grammar.c files, it seems
ubiquitous for tree-sitter language grammar projects to include the
generated grammar.c file in the repo.

Yuan